#
# spec file for package ghc-RNAlien
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name RNAlien
Name:           ghc-%{pkg_name}
Version:        1.3.7
Release:        8.5
Summary:        Unsupervized construction of RNA family models
License:        GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-BlastHTTP-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ClustalParser-devel
BuildRequires:  ghc-EntrezHTTP-devel
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-Taxonomy-devel
BuildRequires:  ghc-ViennaRNAParser-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-biocore-devel
BuildRequires:  ghc-biofasta-devel
BuildRequires:  ghc-blastxml-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cassava-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-edit-distance-devel
BuildRequires:  ghc-either-unwrap-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hierarchical-clustering-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-hxt-devel
BuildRequires:  ghc-matrix-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-pureMD5-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-metrics-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel

%description
RNAlien is a tool for automatic construction of RNAfamily models from a single
sequence.

It is available as a commandline tool, for testing or construction of few
sequences the webservice can be used.

The source code of RNAlien, as well as the webserver is open source and
available via GitHub (License GPL-3):

* <https://github.com/eggzilla/RNAlien RNAlien>

* <https://github.com/eggzilla/AlienServer AlienServer>

TaxonomyTools which can be used to visualise the organisms included in a
RNAlien result can be found here (License GPL-3):

* <https://github.com/eggzilla/TaxonomyTools TaxonomyTools-Github>

* <https://hackage.haskell.org/package/Taxonomy TaxonomyTools-Hackage>

For instruction how to use RNAlien please see the
<http://rna.tbi.univie.ac.at/rnalien/help Help page>.

Dependencies:

* <http://infernal.janelia.org/ Infernal>

* <http://www.bioinf.uni-freiburg.de/Software/LocARNA/#download Locarna>

* <https://www.tbi.univie.ac.at/~wash/RNAz/ RNAz>

* <http://wash.github.io/rnacode/ RNAcode>

* <http://www.tbi.univie.ac.at/RNA/index.html#download ViennaRNA package>

Installation via cabal-install:

> cabal install RNAlien.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/RNAcentralHTTPRequest
%{_bindir}/%{pkg_name}
%{_bindir}/RNAlienStatistics
%{_bindir}/cmsearchToBed

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.3.7 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.3.1 with cabal2obs.
